## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.gable.ai/llms.txt)

Use this file to discover all available pages before exploring further.

### GET

/v0/settings/users

**Try it**  
*Gets the list of Gable users*

### cURL
```bash
curl --request GET \
  --url https://demo-api.gable.ai/v0/settings/users \
  --header 'X-API-KEY: <api-key>'
```

### Python
```python
import requests

url = "https://demo-api.gable.ai/v0/settings/users"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)
```javascript
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://demo-api.gable.ai/v0/settings/users', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP
```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://demo-api.gable.ai/v0/settings/users",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-KEY: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go
```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://demo-api.gable.ai/v0/settings/users"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-KEY", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)
```java
HttpResponse<String> response = Unirest.get("https://demo-api.gable.ai/v0/settings/users")
  .header("X-API-KEY", "<api-key>")
  .asString();
```

### Ruby
```ruby
require 'uri'
require 'net/http'

url = URI("https://demo-api.gable.ai/v0/settings/users")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'

response = http.request(request)
puts response.read_body
```

### Response

**200 - application/json**

```json
[
  {
    "email": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "githubHandle": "<string>"
  }
]
```

### Authorizations

- **X-API-KEY**  
  *string required in header*

### Response Details
- **email**  
  *string required*  
  The email address of the user  
  Pattern: `^[a-zA-Z0-9_.+-]+@[a-zA-Z0-9-]+\.[a-zA-Z0-9-.]+$`

- **status**  
  *enum<string> required*  
  The status of the user  
  Available options: `ACTIVE`, `INVITED`, `DELETED`

- **role**  
  *enum<string> required*  
  The role of the user  
  Available options: `ADMIN`, `EDITOR`, `VIEWER`

- **firstName**  
  *string*  
  The first name of the user, if available

- **lastName**  
  *string*  
  The last name of the user, if available

- **githubHandle**  
  *string*  
  The GitHub handle of the user or team, if available.
